Package com.arms.api.report.export_service.config

## Class ReportConfig

- java.lang.Object
- - com.arms.api.report.export_service.config.ReportConfig

-     @Configuration
      @ConfigurationProperties(prefix="report")
      public class ReportConfig
      extends java.lang.Object

  리포트 내보내기 관련 설정을 관리하는 Configuration 클래스

  application.yml의 'report' 프리픽스 아래 설정값들을 바인딩합니다.

  설정 예시:

       report:
         template-path: classpath:templates/report/
         font-path: classpath:fonts/
         default-font: NanumGothic.ttf

  Since:
    2025.12.01

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ReportConfig.PdfConfig` | PDF 설정을 담는 내부 클래스
    `static class` | `ReportConfig.PptConfig` | PPT 설정을 담는 내부 클래스

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReportConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.core.io.Resource` | `getBoldFontResource()` | 굵은 폰트의 Resource 객체 반환
    `org.springframework.core.io.Resource` | `getDefaultFontResource()` | 기본 폰트의 Resource 객체 반환
    `org.springframework.core.io.Resource` | `getFontResource​(java.lang.String fontName)` | 폰트 이름으로 Resource 객체 반환
    `org.springframework.core.io.Resource` | `getTemplateResource​(java.lang.String templateName)` | 템플릿 이름으로 Resource 객체 반환
    `void` | `init()` | Bean 초기화 후 기본 템플릿 등록

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportConfig

          public ReportConfig()

  - ### Method Detail

    - #### init

          @PostConstruct
          public void init()

      Bean 초기화 후 기본 템플릿 등록

      application.yml에 템플릿 매핑이 없으면 기본값 사용

    - #### getTemplateResource

          public org.springframework.core.io.Resource getTemplateResource​(java.lang.String templateName)

      템플릿 이름으로 Resource 객체 반환
      Parameters:
        `templateName` - 템플릿 논리명 (예: "default", "analysis")
      Returns:
        템플릿 파일의 Resource 객체

    - #### getFontResource

          public org.springframework.core.io.Resource getFontResource​(java.lang.String fontName)

      폰트 이름으로 Resource 객체 반환
      Parameters:
        `fontName` - 폰트 파일명
      Returns:
        폰트 파일의 Resource 객체

    - #### getDefaultFontResource

          public org.springframework.core.io.Resource getDefaultFontResource()

      기본 폰트의 Resource 객체 반환
      Returns:
        기본 폰트 파일의 Resource 객체

    - #### getBoldFontResource

          public org.springframework.core.io.Resource getBoldFontResource()

      굵은 폰트의 Resource 객체 반환
      Returns:
        굵은 폰트 파일의 Resource 객체